package frc.robot.constants;

import com.ctre.phoenix6.configs.CANcoderConfiguration;
import com.ctre.phoenix6.signals.SensorDirectionValue;

import edu.wpi.first.math.util.Units;

public class ArmConstants {
    public static final int kArmMotorID = 0;
    public static final int kCANcoderID = 0;

    public static final double kArmMaxVelocity = 0;

    public static final double kPositionalP = 0;
    public static final double kPositionalI = 0;
    public static final double kPositionalD = 0;
    public static final double kPositionalTolerance = Units.degreesToRadians(1);

    public static final double kVelocityP = 0;
    public static final double kVelocityI = 0;
    public static final double kVelocityD = 0;
    // TODO Is this reasonable?
    public static final double kVelocityTolerance = Units.degreesToRadians(3) / 60;

    public static final double kArmCoralIntakePosition = 0;
    public static final double kArmL1Position = 0;
    public static final double kArmL2Position = 0;
    public static final double kArmL3Position = 0;
    public static final double kArmL4Position = 0;
    public static final double kArmL2AlgaePosition = 0;
    public static final double kArmL3AlgaePosition = 0;
    public static final double kArmSafeStowPosition = 0;

    public static final CANcoderConfiguration canCoderConfig = new CANcoderConfiguration();

    static {
        canCoderConfig.MagnetSensor.SensorDirection = SensorDirectionValue.CounterClockwise_Positive;
        canCoderConfig.MagnetSensor.MagnetOffset = 0.0;
        canCoderConfig.MagnetSensor.AbsoluteSensorDiscontinuityPoint = 0.5;
    }
}
